curl --request POST \
--url https://api.cadanapay.com/v1/contracts-upload \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"personId": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
"fileId": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
"contractName": "Employment Agreement"
}
'{
"id": "ca51f42c-0adc-4a77-8dd1-a03dd4fb955f",
"name": "Employment Agreement",
"personId": "ca51f42c-0adc-4a77-8dd1-a03dd4fb955f",
"status": "completed"
}Upload a contract PDF using a fileId from the files API
curl --request POST \
--url https://api.cadanapay.com/v1/contracts-upload \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"personId": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
"fileId": "8ef9a712-cdae-4110-b1ea-9ba95abbee6e",
"contractName": "Employment Agreement"
}
'{
"id": "ca51f42c-0adc-4a77-8dd1-a03dd4fb955f",
"name": "Employment Agreement",
"personId": "ca51f42c-0adc-4a77-8dd1-a03dd4fb955f",
"status": "completed"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Required when using a Platform API token. The tenant key identifying which business to operate on.